Bug 29097 - buffer overflow in sudo
Summary: buffer overflow in sudo
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sudo (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: All Linux
high
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-23 17:22 UTC by Chris Ricker
Modified: 2007-03-27 03:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-23 21:49:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:018 normal SHIPPED_LIVE : Updated sudo packages fixing buffer overrun available 2001-02-23 05:00:00 UTC
Red Hat Product Errata RHSA-2001:019 normal SHIPPED_LIVE : Updated sudo packages fixing buffer overrun available 2001-02-23 05:00:00 UTC

Description Chris Ricker 2001-02-23 17:22:06 UTC
Todd Miller has just released sudo-1.6.3-pl6 (wolverine contains pl5),
which he says fixes a buffer overflow.  No known exploits are known, but
it's still obviously a problem.

Security updates for 7.0, etc., will also be necessary.

Comment 1 Glen Foster 2001-02-23 21:49:16 UTC
This defect is considered MUST-FIX for Florence Release-Candidate #2


Comment 2 Bernhard Rosenkraenzer 2001-02-23 21:55:47 UTC
Fixed in the current version; currently building errata packages for 7.0, 
powertools-6.x and powertools-5.x

Comment 3 Pekka Savola 2001-03-01 19:16:35 UTC
Umm, shouldn't the resolution for these be ERRATA not RAWHIDE?



Note You need to log in before you can comment on or make changes to this bug.